summarylogtreecommitdiffstats
path: root/own3d-desktop.sh
diff options
context:
space:
mode:
authorzxp198210052024-04-12 12:08:45 +0800
committerzxp198210052024-04-12 12:08:45 +0800
commit2bcb856a24d895757464f9d936f0cbdb53790b3b (patch)
treec05b12fc4d795b2f284e5ed9d84a4c22c61d9f08 /own3d-desktop.sh
downloadaur-own3d-desktop-bin.tar.gz
update to 2.0.0
Diffstat (limited to 'own3d-desktop.sh')
-rw-r--r--own3d-desktop.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/own3d-desktop.sh b/own3d-desktop.sh
new file mode 100644
index 000000000000..7ddcaab8d734
--- /dev/null
+++ b/own3d-desktop.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+set -e
+_APPDIR="/usr/lib/@appname@"
+_RUNNAME="${_APPDIR}/@runname@"
+_OPTIONS="@options@"
+export PATH="${_APPDIR}:${PATH}"
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+export ELECTRON_IS_DEV=0
+export ELECTRON_FORCE_IS_PACKAGED=true
+export NODE_ENV=production
+cd "${_APPDIR}"
+if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" "$@" || exit $?
+else
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" --no-sandbox "$@" || exit $?
+fi \ No newline at end of file